Get votes by vote request ID
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/governance/vote-requests/{id}/votes \
--header 'x-api-key: <api-key>'{
"content": [
{
"contractId": "<string>",
"templateId": "<string>",
"company": "<string>",
"sv": "<string>",
"accept": true,
"reasonUrl": "<string>",
"reasonBody": "<string>",
"optCastAt": 123,
"accountName": "<string>",
"accountImg": "<string>"
}
],
"pageable": {
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageSize": 123,
"pageNumber": 123,
"offset": 123,
"paged": true,
"unpaged": true
},
"last": true,
"totalPages": 123,
"totalElements": 123,
"totalCount": 123,
"size": 123,
"number": 123,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"first": true,
"numberOfElements": 123,
"empty": true
}Governance
Get votes by vote request ID
Retrieve paginated list of votes for a specific vote request
GET
/
v1
/
governance
/
vote-requests
/
{id}
/
votes
Get votes by vote request ID
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/governance/vote-requests/{id}/votes \
--header 'x-api-key: <api-key>'{
"content": [
{
"contractId": "<string>",
"templateId": "<string>",
"company": "<string>",
"sv": "<string>",
"accept": true,
"reasonUrl": "<string>",
"reasonBody": "<string>",
"optCastAt": 123,
"accountName": "<string>",
"accountImg": "<string>"
}
],
"pageable": {
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageSize": 123,
"pageNumber": 123,
"offset": 123,
"paged": true,
"unpaged": true
},
"last": true,
"totalPages": 123,
"totalElements": 123,
"totalCount": 123,
"size": 123,
"number": 123,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"first": true,
"numberOfElements": 123,
"empty": true
}Documentation Index
Fetch the complete documentation index at: https://docs.modo.link/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Contract ID
Response
200 - */*
OK
⌘I